Subject: Re: [BUG/IMPROVEMENT] Buffer corruption while horizontally resizing terminal window
From: Peet Nick <[email-masked]>
To: Bart Schaefer <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Jul 2016 15:31:11 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Sorry, let me explain again.

I did the following to reproduce this behavior (On Arch Linux and Ubuntu
16.04):

(1) Installed Zsh (Arch Linux: Git; Ubuntu: zsh 5.1.1)
(2) Removed every local configuration file and checked if files (/etc/zsh/)
are empty:
      /etc/zsh/{zshrc,zlogin,zlogout,zprofile,zshenv}
      ~/.zshrc
(3) Open a terminal with zsh as shell & "cat /proc/cpuinfo"
(3) Horizontally resize the terminal window to the minimum and slowly
resize it back to the normal size
(4) Repeat (3) until you see that the content of the cpuinfo get deleted or
overwritten by some text

On Sat, Jul 16, 2016 at 5:49 AM, Bart Schaefer <[email-masked]>
wrote:

> On Jul 16,  1:41am, Peet Nick wrote:
> }
> } But even with the stock settings (removed all configuration files) the
> } 'problem' is still there.
>
> I'm not sure what you tell you; you tangentially indicated that you are
> on archlinux, and I see from some poking around that the zsh package
> for that distribution includes an /etc/zsh/zprofile -- perhaps something
> from there is influencing?
>
> You also haven't said whether you're making the window larger or smaller
> (or wider but shorter, etc.) when this happens.
>
>